
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    int i0 = org.apache.commons.lang.time.DateUtils.MILLIS_IN_MINUTE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 60000);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addYears(date0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    java.util.TimeZone timeZone0 = org.apache.commons.lang.time.DateUtils.UTC_TIME_ZONE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(timeZone0);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    int i0 = org.apache.commons.lang.time.DateUtils.RANGE_MONTH_MONDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 6);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    long long0 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_DAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long0 == 86400000L);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    java.util.Calendar calendar0 = null;
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = org.apache.commons.lang.time.DateUtils.isSameDay(calendar0, calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    int i0 = org.apache.commons.lang.time.DateUtils.MILLIS_IN_HOUR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3600000);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)(-1.0d), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    int i0 = org.apache.commons.lang.time.DateUtils.MILLIS_IN_SECOND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1000);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)'#', 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    int i0 = org.apache.commons.lang.time.DateUtils.MILLIS_IN_DAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 86400000);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    int i0 = org.apache.commons.lang.time.DateUtils.RANGE_WEEK_MONDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 2);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    int i0 = org.apache.commons.lang.time.DateUtils.RANGE_WEEK_RELATIVE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 3);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    java.util.Date date0 = null;
    java.util.Date date1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    int i0 = org.apache.commons.lang.time.DateUtils.RANGE_WEEK_SUNDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    long long0 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long0 == 60000L);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    int i0 = org.apache.commons.lang.time.DateUtils.SEMI_MONTH;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 1001);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addYears(date0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    java.util.Calendar calendar0 = null;
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = org.apache.commons.lang.time.DateUtils.isSameLocalTime(calendar0, calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    java.util.Calendar calendar0 = null;
    java.util.Calendar calendar1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = org.apache.commons.lang.time.DateUtils.isSameInstant(calendar0, calendar1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)1L, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)1L, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    long long0 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_HOUR;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long0 == 3600000L);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    java.util.Date date0 = null;
    java.util.Date date1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addYears(date0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addYears(date0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)'4', 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)2, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    int i0 = org.apache.commons.lang.time.DateUtils.RANGE_MONTH_SUNDAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 5);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)60000, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)"hi!", 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.lang.time.DateUtils dateUtils0 = new org.apache.commons.lang.time.DateUtils();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)dateUtils0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(date0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    int i0 = org.apache.commons.lang.time.DateUtils.RANGE_WEEK_CENTER;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == 4);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)100.0f, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    java.lang.String[] str_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)3600000, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)(short)10, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)'#', 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addYears(date0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 3, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    long long0 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_SECOND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long0 == 1000L);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "hi!" };
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addYears(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)'a', 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator5 = org.apache.commons.lang.time.DateUtils.iterator(date3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)(short)(-1), 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)60000L, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator5 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)"", 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date3, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)'4', 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date12 = org.apache.commons.lang.time.DateUtils.truncate(date10, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)100L, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(date0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = org.apache.commons.lang.time.DateUtils.truncate(date7, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round(date14, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date8 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = org.apache.commons.lang.time.DateUtils.isSameInstant(date3, date8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)60000, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)10.0f, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "hi!" };
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date3, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addHours(date10, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator(date9, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = org.apache.commons.lang.time.DateUtils.truncate(date3, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date11, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator13 = org.apache.commons.lang.time.DateUtils.iterator(date11, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.lang.time.DateUtils dateUtils0 = new org.apache.commons.lang.time.DateUtils();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)dateUtils0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)1, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)1.0f, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    java.lang.Object obj0 = new java.lang.Object();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(obj0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addYears(date13, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator17 = org.apache.commons.lang.time.DateUtils.iterator(date13, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(obj0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator(date5, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 3600000);
    java.lang.String[] str_array19 = new java.lang.String[] { "" };
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array19);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date20, 86400000);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date20, 86400000);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addSeconds(date20, 10);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMinutes(date20, 3600000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date28);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date31 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)b29, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator36 = org.apache.commons.lang.time.DateUtils.iterator(date34, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date11, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date10, (-1));
    java.lang.String[] str_array15 = new java.lang.String[] { "" };
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array15);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date16, 86400000);
    java.util.Iterator iterator20 = org.apache.commons.lang.time.DateUtils.iterator(date18, 6);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addWeeks(date18, 2);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addWeeks(date18, 3);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addSeconds(date18, 6);
    boolean b27 = org.apache.commons.lang.time.DateUtils.isSameInstant(date12, date18);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator29 = org.apache.commons.lang.time.DateUtils.iterator(date12, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date5, 3);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.add(date5, 0, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date15, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date7, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date12 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)100.0d, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date7, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date12, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date12, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)(byte)(-1), 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array4 = new java.lang.String[] { "" };
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.add(date6, 5, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      boolean b10 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date14, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addHours(date15, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator19 = org.apache.commons.lang.time.DateUtils.iterator(date15, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)6, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 6);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMonths(date13, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round(date13, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date36 = org.apache.commons.lang.time.DateUtils.round(date34, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date10, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.add(date12, 86400000, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round(date19, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array4 = new java.lang.String[] { "" };
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.add(date6, 5, 86400000);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date6, 100);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addDays(date6, 3);
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 1000, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round(date19, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)' ', 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate(date3, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.truncate(date19, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addDays(date30, 3);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator36 = org.apache.commons.lang.time.DateUtils.iterator(date34, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(obj0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array4 = new java.lang.String[] { "" };
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.add(date6, 5, 86400000);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round(date6, 1001);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date11, 3);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addHours(date11, 4);
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addWeeks(date31, 100);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.add(date31, 3, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date39 = org.apache.commons.lang.time.DateUtils.truncate(date31, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)0L, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addYears(date13, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator17 = org.apache.commons.lang.time.DateUtils.iterator(date15, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date16 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = org.apache.commons.lang.time.DateUtils.isSameDay(date14, date16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date11, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round(date11, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 3600000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date9, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addYears(date13, 1);
    java.lang.String[] str_array18 = new java.lang.String[] { "" };
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array18);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.lang.String[] str_array26 = new java.lang.String[] { "" };
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.add(date31, 3, 5);
    boolean b35 = org.apache.commons.lang.time.DateUtils.isSameDay(date23, date34);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addWeeks(date34, 4);
    boolean b38 = org.apache.commons.lang.time.DateUtils.isSameDay(date15, date37);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.addSeconds(date37, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator42 = org.apache.commons.lang.time.DateUtils.iterator(date37, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator32 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date30, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date29 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b30 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 2);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addDays(date7, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator38 = org.apache.commons.lang.time.DateUtils.iterator(date36, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addYears(date13, 1);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date13, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.round(date13, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    java.util.Date date17 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = org.apache.commons.lang.time.DateUtils.isSameInstant(date13, date17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate(date9, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addHours(date9, 3600000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMonths(date13, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator5 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)"", (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date9, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator18 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)5, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addHours(date15, 1000);
    java.lang.String[] str_array21 = new java.lang.String[] { "" };
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array21);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array21);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.add(date23, 5, 86400000);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 1);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date17, date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date10 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)86400000, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addDays(date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator20 = org.apache.commons.lang.time.DateUtils.iterator(date13, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date7, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator23 = org.apache.commons.lang.time.DateUtils.iterator(date7, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date4, 1001);
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.lang.String[] str_array18 = new java.lang.String[] { "" };
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array18);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.util.Iterator iterator23 = org.apache.commons.lang.time.DateUtils.iterator(date21, 6);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.addWeeks(date21, 2);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addWeeks(date21, 3);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.truncate(date27, 5);
    boolean b30 = org.apache.commons.lang.time.DateUtils.isSameInstant(date13, date27);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator32 = org.apache.commons.lang.time.DateUtils.iterator(date27, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, (-1));
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.round(date4, 0);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date4, 0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b15 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date7, 100);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date14 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date12, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = org.apache.commons.lang.time.DateUtils.truncate(date7, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator15 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date11, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameInstant(date8, date14);
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date14, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator19 = org.apache.commons.lang.time.DateUtils.iterator(date14, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.round(date49, 1);
    java.util.Date date59 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date57, 0);
    java.util.Date date61 = org.apache.commons.lang.time.DateUtils.addSeconds(date59, 1001);
    java.util.Iterator iterator63 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date59, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator63);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round(date3, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addWeeks(date18, 4);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addWeeks(date18, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator(date18, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round(date3, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addHours(date3, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date15, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(obj0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addDays(date30, 3);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date36 = org.apache.commons.lang.time.DateUtils.truncate(date30, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.round(date49, 1);
    java.util.Date date59 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date57, 0);
    java.util.Date date61 = org.apache.commons.lang.time.DateUtils.addSeconds(date59, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date63 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date59, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date61);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date14, 1001);
    java.util.Date date18 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date17, date18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addHours(date0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date5, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(date0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Iterator iterator8 = org.apache.commons.lang.time.DateUtils.iterator(date6, 6);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date6, 2);
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date14, 86400000);
    java.util.Iterator iterator18 = org.apache.commons.lang.time.DateUtils.iterator(date16, 6);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMonths(date16, 6);
    boolean b21 = org.apache.commons.lang.time.DateUtils.isSameInstant(date10, date16);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date24 = org.apache.commons.lang.time.DateUtils.add(date16, 100, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date14, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    java.lang.String[] str_array20 = new java.lang.String[] { "" };
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array20);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator(date23, 6);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 2);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 3);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addSeconds(date23, 6);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date17, date23);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addHours(date17, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator23 = org.apache.commons.lang.time.DateUtils.iterator(date21, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 6);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)(-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addWeeks(date31, 100);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.add(date31, 3, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date39 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)3, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date11, 0);
    java.util.Iterator iterator15 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date13, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)60000, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)6, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)1000, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator(date13, 5);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date26 = org.apache.commons.lang.time.DateUtils.add(date13, 1000, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    java.lang.String[] str_array20 = new java.lang.String[] { "" };
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array20);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator(date23, 6);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 2);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 3);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addSeconds(date23, 6);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date17, date23);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date23, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date36 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date23, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date5 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)"", 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addDays(date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date20 = org.apache.commons.lang.time.DateUtils.round(date18, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date14 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date5, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.round(date49, 1);
    java.util.Date date59 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date57, 0);
    java.util.Date date61 = org.apache.commons.lang.time.DateUtils.addSeconds(date59, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date63 = org.apache.commons.lang.time.DateUtils.round(date61, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date61);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date3, 2);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date13, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator36 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date7, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(calendar0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addDays(date7, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addHours(date7, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator20 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date7, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    java.lang.String[] str_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array3);
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(obj0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.lang.String[] str_array12 = new java.lang.String[] { "" };
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array12);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date13, 86400000);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date13, 86400000);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addSeconds(date13, 10);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date13, 2);
    boolean b22 = org.apache.commons.lang.time.DateUtils.isSameDay(date3, date21);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date24 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)b22, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 3600000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator20 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date18, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMinutes(date10, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)(-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 1000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.truncate(date16, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.add(date18, 86400000, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round(date13, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 5);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addSeconds(date15, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)1, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameInstant(date8, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date8, 3600000);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date8, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      boolean b20 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date15, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Iterator iterator8 = org.apache.commons.lang.time.DateUtils.iterator(date6, 6);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date6, 2);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date6, 0);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date12, 0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    java.lang.String[] str_array4 = new java.lang.String[] { "" };
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date7 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array4);
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date36 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date34, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 5);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addSeconds(date15, 1);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date17, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date19, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addWeeks(date10, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date18 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)1000, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addYears(date3, 1001);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date11, 4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round(date13, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round(date9, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date5, (-1));
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addDays(date5, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date14, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)iterator7, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addDays(date30, 3);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1);
    java.util.Iterator iterator36 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date30, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date38 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)iterator36, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator36);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date3, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator13 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date11, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addDays(date0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date22 = org.apache.commons.lang.time.DateUtils.add(date18, 60000, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date11, 10);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMonths(date13, 1000);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date15, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date15, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1001);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.add(date11, 6, 3600000);
    java.util.Date date15 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = org.apache.commons.lang.time.DateUtils.isSameDay(date14, date15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1000);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date5, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date5, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.lang.String[] str_array32 = new java.lang.String[] { "" };
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array32);
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.lang.String[] str_array40 = new java.lang.String[] { "" };
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array40);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date41, 86400000);
    boolean b44 = org.apache.commons.lang.time.DateUtils.isSameInstant(date37, date43);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.truncate(date43, 5);
    boolean b47 = org.apache.commons.lang.time.DateUtils.isSameDay(date22, date46);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.addYears(date46, 0);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameInstant(date14, date46);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date52 = org.apache.commons.lang.time.DateUtils.round(date14, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.add(date11, 6, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date11, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(obj0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1000);
    java.util.Iterator iterator14 = org.apache.commons.lang.time.DateUtils.iterator(date12, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator14);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.add(date3, 1, 100);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator14 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date3, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addYears(date17, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date19, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.round(date49, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator59 = org.apache.commons.lang.time.DateUtils.iterator(date49, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.lang.time.DateUtils dateUtils0 = new org.apache.commons.lang.time.DateUtils();
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)dateUtils0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date5, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date22 = org.apache.commons.lang.time.DateUtils.add(date19, 100, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 5);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addYears(date17, 60000);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date19, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 4, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)1000, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date5, (-1));
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addDays(date5, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.round(date5, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator13 = org.apache.commons.lang.time.DateUtils.iterator(date11, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    java.lang.String[] str_array5 = new java.lang.String[] { "" };
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array5);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array5);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date9 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array5);
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.lang.String[] str_array32 = new java.lang.String[] { "" };
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array32);
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.lang.String[] str_array40 = new java.lang.String[] { "" };
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array40);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date41, 86400000);
    boolean b44 = org.apache.commons.lang.time.DateUtils.isSameInstant(date37, date43);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.truncate(date43, 5);
    boolean b47 = org.apache.commons.lang.time.DateUtils.isSameDay(date22, date46);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.addYears(date46, 0);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameInstant(date14, date46);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.addSeconds(date14, 100);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date14, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date11, 10);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round(date13, 5);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round(date15, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date9, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addDays(date7, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date36 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)3600000, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addMinutes(date14, 4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date23 = org.apache.commons.lang.time.DateUtils.truncate(date21, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(obj0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(date0, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addWeeks(date27, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator34 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)6, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.round(date3, 0);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 0);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addHours(date3, 4);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.add(date11, 0, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.round(date11, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, (-1));
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date3, 0);
    java.util.Iterator iterator15 = org.apache.commons.lang.time.DateUtils.iterator(date3, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)(short)1, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date5, 3);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.add(date5, 0, 5);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addDays(date15, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator19 = org.apache.commons.lang.time.DateUtils.iterator(date17, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1000);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date5, 2);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Iterator iterator22 = org.apache.commons.lang.time.DateUtils.iterator(date20, 6);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addWeeks(date20, 2);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addWeeks(date20, 3);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addSeconds(date20, 6);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameDay(date5, date28);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.lang.String[] str_array18 = new java.lang.String[] { "" };
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array18);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.lang.String[] str_array26 = new java.lang.String[] { "" };
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.add(date31, 3, 5);
    boolean b35 = org.apache.commons.lang.time.DateUtils.isSameDay(date23, date34);
    java.lang.String[] str_array39 = new java.lang.String[] { "" };
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array39);
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array39);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addMonths(date41, 3600000);
    boolean b44 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date43);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.addHours(date43, (-1));
    java.util.Date date48 = org.apache.commons.lang.time.DateUtils.addDays(date46, 3);
    boolean b49 = org.apache.commons.lang.time.DateUtils.isSameInstant(date15, date48);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date51 = org.apache.commons.lang.time.DateUtils.truncate(date15, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMinutes(date18, 1001);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMonths(date18, 1);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addWeeks(date26, 2);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addYears(date28, 1);
    java.lang.String[] str_array33 = new java.lang.String[] { "" };
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array33);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date34, 86400000);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date34, 86400000);
    java.lang.String[] str_array41 = new java.lang.String[] { "" };
    java.util.Date date42 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array41);
    java.util.Date date44 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date42, 86400000);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date42, 86400000);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.add(date46, 3, 5);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date38, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.addWeeks(date49, 4);
    boolean b53 = org.apache.commons.lang.time.DateUtils.isSameDay(date30, date52);
    boolean b54 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date52);
    java.util.Date date56 = org.apache.commons.lang.time.DateUtils.addMinutes(date52, 0);
    java.util.Date date58 = org.apache.commons.lang.time.DateUtils.addHours(date56, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator60 = org.apache.commons.lang.time.DateUtils.iterator(date58, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date58);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)60000, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date14, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)1001, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate(date9, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator13 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date11, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.lang.String[] str_array32 = new java.lang.String[] { "" };
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array32);
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.lang.String[] str_array40 = new java.lang.String[] { "" };
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array40);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date41, 86400000);
    boolean b44 = org.apache.commons.lang.time.DateUtils.isSameInstant(date37, date43);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.truncate(date43, 5);
    boolean b47 = org.apache.commons.lang.time.DateUtils.isSameDay(date22, date46);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.addYears(date46, 0);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameInstant(date14, date46);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.addSeconds(date14, 100);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator54 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)100, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addSeconds(date10, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date10, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, (-1));
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.round(date4, 0);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date4, 0);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addHours(date4, 3);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addSeconds(date16, 3);
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 6);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date5, 100);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.round(date5, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addDays(date30, 3);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator38 = org.apache.commons.lang.time.DateUtils.iterator(date36, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 5);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addSeconds(date15, 1);
    java.util.Iterator iterator19 = org.apache.commons.lang.time.DateUtils.iterator(date17, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator19);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date6 = org.apache.commons.lang.time.DateUtils.add(date3, 1001, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(obj0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)60000, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date13, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addDays(date13, 2);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.add(date13, 0, 0);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMinutes(date13, 86400000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 86400000);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Iterator iterator8 = org.apache.commons.lang.time.DateUtils.iterator(date6, 6);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date6, 2);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addWeeks(date6, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date12, 10);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMonths(date14, 1000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date16, (-1));
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addWeeks(date31, 100);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addWeeks(date34, 3);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.round(date36, 1);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.addHours(date38, (-1));
    java.util.Date date42 = org.apache.commons.lang.time.DateUtils.addMinutes(date40, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date42);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addWeeks(date10, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator18 = org.apache.commons.lang.time.DateUtils.iterator(date16, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addHours(date3, 4);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date11, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date7, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date12, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)2, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMinutes(date0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1000);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addWeeks(date19, 0);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addDays(date19, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.round(date3, 0);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 0);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addHours(date7, (-1));
    java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator(date9, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator11);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addYears(date18, 5);
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addWeeks(date30, 0);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addMinutes(date32, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator36 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)60000, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.add(date3, 1, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date3, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addWeeks(date27, 6);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addHours(date27, 1001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date30 = org.apache.commons.lang.time.DateUtils.round(date27, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 5, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date18 = org.apache.commons.lang.time.DateUtils.round(date16, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addDays(date7, 3600000);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addMinutes(date34, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date38 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addHours(date14, 2);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date16, 4);
    java.lang.String[] str_array21 = new java.lang.String[] { "" };
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array21);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date22, 86400000);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date22, 86400000);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addSeconds(date22, 10);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date18, date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.addSeconds(date34, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date59 = org.apache.commons.lang.time.DateUtils.truncate(date57, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.addMonths(date34, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date7, 1);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date7, 10);
    java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator(date23, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date27 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)2, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator25);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date31, 0);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.truncate(date49, 0);
    boolean b55 = org.apache.commons.lang.time.DateUtils.isSameDay(date34, date49);
    java.util.Date date57 = org.apache.commons.lang.time.DateUtils.round(date49, 1);
    java.util.Date date59 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date57, 0);
    java.util.Date date61 = org.apache.commons.lang.time.DateUtils.addSeconds(date59, 1001);
    java.util.Date date63 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date59, 0);
    java.util.Date date65 = org.apache.commons.lang.time.DateUtils.addHours(date59, 1000);
    java.util.Date date67 = org.apache.commons.lang.time.DateUtils.addMonths(date65, 86400000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date67);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addDays(date7, 3600000);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addMinutes(date34, 0);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.addYears(date36, 86400000);
    java.lang.String[] str_array42 = new java.lang.String[] { "" };
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array42);
    java.util.Date date44 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array42);
    java.util.Date date47 = org.apache.commons.lang.time.DateUtils.add(date44, 5, 86400000);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.addWeeks(date44, 100);
    java.util.Date date51 = org.apache.commons.lang.time.DateUtils.addDays(date44, 3);
    java.util.Date date54 = org.apache.commons.lang.time.DateUtils.add(date44, 0, 5);
    java.util.Date date56 = org.apache.commons.lang.time.DateUtils.truncate(date44, 10);
    java.util.Date date58 = org.apache.commons.lang.time.DateUtils.addYears(date56, 0);
    boolean b59 = org.apache.commons.lang.time.DateUtils.isSameDay(date36, date58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 1001);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, (-1));
    java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator(date23, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator27 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)1, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator25);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addYears(date18, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date32 = org.apache.commons.lang.time.DateUtils.round(date18, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date3, 1);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addSeconds(date13, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)5, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)2, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)1.0f, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, (-1));
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = org.apache.commons.lang.time.DateUtils.isSameDay(date0, date12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date3, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMinutes(date12, 1001);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMonths(date12, 1);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addWeeks(date20, 2);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addYears(date22, 1);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMinutes(date22, 3600000);
    boolean b27 = org.apache.commons.lang.time.DateUtils.isSameDay(date5, date26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date29, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date11, 10);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.round(date13, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)5, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    java.lang.String[] str_array19 = new java.lang.String[] { "" };
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array19);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date20, 86400000);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date20, 86400000);
    java.lang.String[] str_array27 = new java.lang.String[] { "" };
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date28, 86400000);
    boolean b31 = org.apache.commons.lang.time.DateUtils.isSameInstant(date24, date30);
    java.lang.String[] str_array34 = new java.lang.String[] { "" };
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array34);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date35, 86400000);
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date35, 86400000);
    java.lang.String[] str_array42 = new java.lang.String[] { "" };
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array42);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date43, 86400000);
    boolean b46 = org.apache.commons.lang.time.DateUtils.isSameInstant(date39, date45);
    java.util.Date date48 = org.apache.commons.lang.time.DateUtils.truncate(date45, 5);
    boolean b49 = org.apache.commons.lang.time.DateUtils.isSameDay(date24, date48);
    java.util.Date date51 = org.apache.commons.lang.time.DateUtils.addWeeks(date48, 100);
    java.util.Date date53 = org.apache.commons.lang.time.DateUtils.round(date48, 2);
    boolean b54 = org.apache.commons.lang.time.DateUtils.isSameDay(date13, date53);
    java.util.Date date56 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date13, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMinutes(date18, 1001);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addDays(date24, 0);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addDays(date26, 0);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date26);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date31 = org.apache.commons.lang.time.DateUtils.round(date7, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 3, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.add(date3, 1, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array2);
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 1001);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date25 = org.apache.commons.lang.time.DateUtils.round(date23, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addWeeks(date31, 100);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addWeeks(date34, 3);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.round(date36, 1);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.addHours(date36, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator18 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date13, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addWeeks(date31, 100);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addMonths(date31, 0);
    java.lang.String[] str_array39 = new java.lang.String[] { "" };
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array39);
    java.util.Date date42 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date40, 86400000);
    java.util.Date date44 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date40, 86400000);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date40, (-1));
    java.util.Date date48 = org.apache.commons.lang.time.DateUtils.truncate(date46, 0);
    java.util.Date date50 = org.apache.commons.lang.time.DateUtils.addHours(date46, 3600000);
    boolean b51 = org.apache.commons.lang.time.DateUtils.isSameDay(date31, date50);
    java.util.Date date53 = org.apache.commons.lang.time.DateUtils.addMonths(date50, 5);
    java.util.Date date55 = org.apache.commons.lang.time.DateUtils.addYears(date50, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator57 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date55, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date55);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addWeeks(date0, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date7, 1);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date7, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date25 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)10, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator(date13, 5);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date13, 2);
    java.util.Date date24 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = org.apache.commons.lang.time.DateUtils.isSameInstant(date23, date24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 3600000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator11 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)0, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.add(date16, 3, 5);
    boolean b20 = org.apache.commons.lang.time.DateUtils.isSameDay(date8, date19);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addHours(date8, 1001);
    // The following exception was thrown during execution in test generation
    try {
      boolean b23 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.truncate(calendar0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 3600000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date5, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 5);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addDays(date5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 5);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 1000, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 2, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.add(date3, 1, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date14, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date14, 10);
    java.lang.String[] str_array19 = new java.lang.String[] { "" };
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array19);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.round(date20, 0);
    boolean b23 = org.apache.commons.lang.time.DateUtils.isSameInstant(date16, date22);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.addMonths(date16, 3600000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.add(date3, 1, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 2);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.round(date3, 2);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date16, 1001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date11, 3600000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date11, 1001);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date11, 5, 86400000);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date22 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date20, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addHours(date15, 1000);
    java.lang.String[] str_array20 = new java.lang.String[] { "" };
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array20);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, (-1));
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.truncate(date27, 0);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addHours(date29, 1000);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date15, date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date4, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date4, 1);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addWeeks(date12, 2);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date14, 2);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMinutes(date16, 5);
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 1000);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addYears(date5, 2);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Iterator iterator22 = org.apache.commons.lang.time.DateUtils.iterator(date20, 6);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addWeeks(date20, 2);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addWeeks(date20, 3);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addSeconds(date20, 6);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameDay(date5, date28);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date31 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date5, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.truncate(date28, 5);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date31);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addWeeks(date31, 100);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.add(date31, 3, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator39 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date31, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate(date13, 5);
    java.lang.String[] str_array19 = new java.lang.String[] { "" };
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array19);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date20, 86400000);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date20, 86400000);
    java.lang.String[] str_array27 = new java.lang.String[] { "" };
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date28, 86400000);
    boolean b31 = org.apache.commons.lang.time.DateUtils.isSameInstant(date24, date30);
    java.lang.String[] str_array34 = new java.lang.String[] { "" };
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array34);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date35, 86400000);
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date35, 86400000);
    java.lang.String[] str_array42 = new java.lang.String[] { "" };
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array42);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date43, 86400000);
    boolean b46 = org.apache.commons.lang.time.DateUtils.isSameInstant(date39, date45);
    java.util.Date date48 = org.apache.commons.lang.time.DateUtils.truncate(date45, 5);
    boolean b49 = org.apache.commons.lang.time.DateUtils.isSameDay(date24, date48);
    java.util.Date date51 = org.apache.commons.lang.time.DateUtils.addWeeks(date48, 100);
    java.util.Date date53 = org.apache.commons.lang.time.DateUtils.round(date48, 2);
    boolean b54 = org.apache.commons.lang.time.DateUtils.isSameDay(date13, date53);
    java.util.Date date56 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date53, 3);
    java.util.Date date58 = org.apache.commons.lang.time.DateUtils.addYears(date53, 0);
    java.util.Date date60 = org.apache.commons.lang.time.DateUtils.addMinutes(date53, 3600000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date63 = org.apache.commons.lang.time.DateUtils.add(date60, 1001, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date60);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate(date9, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addHours(date9, 3600000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addHours(date13, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date5, 3);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.add(date5, 0, 5);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addDays(date15, 1000);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round(date15, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 100);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addHours(date15, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)1000, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.util.Calendar calendar0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Calendar calendar2 = org.apache.commons.lang.time.DateUtils.round(calendar0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date11, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date13, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 5);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMonths(date15, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator19 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)86400000, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 1000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.truncate(date16, 0);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMinutes(date18, 1000);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.add(date18, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator15 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date11, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate(date11, 5);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 1001);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addHours(date11, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addMonths(date5, 6);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 4);
    java.util.Date date24 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addDays(date7, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.round(date16, 1001);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.round(date18, 0);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMinutes(date18, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date24 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)6, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date5, 3);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.add(date5, 0, 5);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addDays(date15, 1000);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addSeconds(date15, 1000);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addWeeks(date15, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date23 = org.apache.commons.lang.time.DateUtils.round(date21, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addMonths(date0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date12 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)5, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addWeeks(date19, 0);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMonths(date19, 60000);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.addHours(date23, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date27 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date25, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round(date3, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addYears(date3, 0);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addHours(date3, 3);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date3, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)1001, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator13 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date11, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date4 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.lang.time.DateUtils.isSameDay(date3, date4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 6);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, (-1));
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date15, 1001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 5);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date15, 1);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addYears(date15, 4);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date23 = org.apache.commons.lang.time.DateUtils.truncate(date21, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addDays(date7, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.round(date16, 1001);
    java.lang.String[] str_array21 = new java.lang.String[] { "" };
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array21);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date22, 86400000);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date22, 86400000);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMinutes(date22, 1001);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addMonths(date22, 1);
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addMonths(date22, 60000);
    java.lang.String[] str_array35 = new java.lang.String[] { "" };
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array35);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date36, 86400000);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date36, 86400000);
    java.lang.String[] str_array43 = new java.lang.String[] { "" };
    java.util.Date date44 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array43);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date44, 86400000);
    boolean b47 = org.apache.commons.lang.time.DateUtils.isSameInstant(date40, date46);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.addDays(date40, 86400000);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameInstant(date32, date49);
    boolean b51 = org.apache.commons.lang.time.DateUtils.isSameInstant(date16, date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)1.0d, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addYears(date13, 1);
    java.lang.String[] str_array18 = new java.lang.String[] { "" };
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array18);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date19, 86400000);
    java.lang.String[] str_array26 = new java.lang.String[] { "" };
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.add(date31, 3, 5);
    boolean b35 = org.apache.commons.lang.time.DateUtils.isSameDay(date23, date34);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addWeeks(date34, 4);
    boolean b38 = org.apache.commons.lang.time.DateUtils.isSameDay(date15, date37);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.addSeconds(date37, 86400000);
    java.util.Date date42 = org.apache.commons.lang.time.DateUtils.addHours(date37, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date42);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 5);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date15, 1);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addYears(date15, 4);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addYears(date15, 6);
    java.lang.String[] str_array26 = new java.lang.String[] { "" };
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date27, 86400000);
    java.util.Iterator iterator31 = org.apache.commons.lang.time.DateUtils.iterator(date29, 6);
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.addWeeks(date29, 2);
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.addWeeks(date29, 3);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.round(date29, 2);
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.addMinutes(date29, 0);
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.addWeeks(date29, 6);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addWeeks(date29, 1000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.addHours(date29, 1);
    java.util.Date date47 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date29, 0);
    java.lang.String[] str_array51 = new java.lang.String[] { "" };
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array51);
    java.util.Date date53 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array51);
    java.util.Date date56 = org.apache.commons.lang.time.DateUtils.add(date53, 5, 86400000);
    java.lang.String[] str_array59 = new java.lang.String[] { "" };
    java.util.Date date60 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array59);
    java.util.Date date62 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date60, 86400000);
    java.util.Date date64 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date60, 86400000);
    java.lang.String[] str_array67 = new java.lang.String[] { "" };
    java.util.Date date68 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array67);
    java.util.Date date70 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date68, 86400000);
    java.util.Date date72 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date68, 86400000);
    java.util.Date date75 = org.apache.commons.lang.time.DateUtils.add(date72, 3, 5);
    boolean b76 = org.apache.commons.lang.time.DateUtils.isSameDay(date64, date75);
    java.util.Date date78 = org.apache.commons.lang.time.DateUtils.addHours(date64, 1001);
    boolean b79 = org.apache.commons.lang.time.DateUtils.isSameDay(date53, date64);
    boolean b80 = org.apache.commons.lang.time.DateUtils.isSameInstant(date47, date53);
    boolean b81 = org.apache.commons.lang.time.DateUtils.isSameDay(date15, date47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addWeeks(date10, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date18 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date16, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addDays(date30, 3);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1);
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.addYears(date30, 1001);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date30, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 6);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addWeeks(date12, 6);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.round(date14, 0);
    java.util.Date date17 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = org.apache.commons.lang.time.DateUtils.isSameDay(date14, date17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.add(date13, 5, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date13, 1);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameInstant(date5, date13);
    java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator(date13, 5);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMinutes(date13, 0);
    java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date23, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date27 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date23, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator25);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addHours(date10, 5);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date5, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 60000);
    java.lang.String[] str_array12 = new java.lang.String[] { "" };
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array12);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date13, 86400000);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date13, 86400000);
    java.lang.String[] str_array20 = new java.lang.String[] { "" };
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array20);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    boolean b24 = org.apache.commons.lang.time.DateUtils.isSameInstant(date17, date23);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMinutes(date17, 3600000);
    boolean b27 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date26);
    java.util.Iterator iterator29 = org.apache.commons.lang.time.DateUtils.iterator(date26, 6);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addMonths(date26, 1);
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.addMonths(date26, 60000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.addSeconds(date0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date10, 5);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.lang.String[] str_array25 = new java.lang.String[] { "" };
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array25);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date26, 86400000);
    boolean b29 = org.apache.commons.lang.time.DateUtils.isSameInstant(date22, date28);
    java.lang.String[] str_array32 = new java.lang.String[] { "" };
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array32);
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date33, 86400000);
    java.lang.String[] str_array40 = new java.lang.String[] { "" };
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array40);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date41, 86400000);
    boolean b44 = org.apache.commons.lang.time.DateUtils.isSameInstant(date37, date43);
    java.util.Date date46 = org.apache.commons.lang.time.DateUtils.truncate(date43, 5);
    boolean b47 = org.apache.commons.lang.time.DateUtils.isSameDay(date22, date46);
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.addYears(date46, 0);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameInstant(date14, date46);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.addWeeks(date46, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date54 = org.apache.commons.lang.time.DateUtils.round(date46, 6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 60000);
    java.lang.String[] str_array12 = new java.lang.String[] { "" };
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array12);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date13, 86400000);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date13, 86400000);
    java.lang.String[] str_array20 = new java.lang.String[] { "" };
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array20);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    boolean b24 = org.apache.commons.lang.time.DateUtils.isSameInstant(date17, date23);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMinutes(date17, 3600000);
    boolean b27 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addYears(date26, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 6);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMonths(date13, 60000);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addYears(date15, 3);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date15, 2);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.add(date15, 0, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMonths(date12, 86400000);
    java.lang.String[] str_array17 = new java.lang.String[] { "" };
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array17);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date18, 86400000);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addMinutes(date18, 1001);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addYears(date18, 1001);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMonths(date26, 4);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date26, 0);
    boolean b31 = org.apache.commons.lang.time.DateUtils.isSameDay(date12, date26);
    java.lang.String[] str_array34 = new java.lang.String[] { "" };
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array34);
    java.util.Date date37 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date35, 86400000);
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date35, 86400000);
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.addMinutes(date35, 1001);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addMonths(date35, 1);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.addWeeks(date43, 2);
    java.util.Date date47 = org.apache.commons.lang.time.DateUtils.addYears(date45, 1);
    boolean b48 = org.apache.commons.lang.time.DateUtils.isSameInstant(date26, date47);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date50 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date26, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 5);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date15, 1);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addDays(date19, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator23 = org.apache.commons.lang.time.DateUtils.iterator(date21, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(date0, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMinutes(date10, (-1));
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date14, 10);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addSeconds(date14, 0);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.add(date18, 86400000, 0);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.add(date18, 6, 4);
    java.lang.String[] str_array27 = new java.lang.String[] { "" };
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date28, 86400000);
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date28, 86400000);
    java.lang.String[] str_array35 = new java.lang.String[] { "" };
    java.util.Date date36 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array35);
    java.util.Date date38 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date36, 86400000);
    boolean b39 = org.apache.commons.lang.time.DateUtils.isSameInstant(date32, date38);
    java.util.Date date41 = org.apache.commons.lang.time.DateUtils.truncate(date38, 5);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.addDays(date38, 2);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date43, 0);
    java.util.Date date47 = org.apache.commons.lang.time.DateUtils.addWeeks(date45, 5);
    boolean b48 = org.apache.commons.lang.time.DateUtils.isSameDay(date24, date45);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator50 = org.apache.commons.lang.time.DateUtils.iterator(date24, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.lang.String[] str_array11 = new java.lang.String[] { "" };
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array11);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMinutes(date12, 1001);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addMonths(date12, 1);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addWeeks(date20, 2);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addYears(date22, 1);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addMinutes(date22, 3600000);
    boolean b27 = org.apache.commons.lang.time.DateUtils.isSameDay(date5, date26);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, 86400000);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addYears(date5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.round(date3, 0);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 0);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addHours(date7, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addDays(date9, 60000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 100);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date14 = org.apache.commons.lang.time.DateUtils.truncate(date5, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date5, 6);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMonths(date13, 60000);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addYears(date15, 3);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date15, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round(date19, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 3600000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 86400000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date20 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date18, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round(date3, 0);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 3);
    java.util.Iterator iterator15 = org.apache.commons.lang.time.DateUtils.iterator(date13, 4);
    java.util.Date date16 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = org.apache.commons.lang.time.DateUtils.isSameInstant(date13, date16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator15);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 6);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addWeeks(date12, 6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date12, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.round(date18, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    java.lang.String[] str_array6 = new java.lang.String[] { "" };
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array6);
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 5);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 60000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMonths(date13, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate(obj0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addYears(date7, 2);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMonths(date16, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator20 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.lang.String[] str_array13 = new java.lang.String[] { "" };
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array13);
    boolean b15 = org.apache.commons.lang.time.DateUtils.isSameDay(date10, date14);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.truncate(date14, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator21 = org.apache.commons.lang.time.DateUtils.iterator(date19, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addYears(date5, 6);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addDays(date5, 5);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addYears(date14, 0);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addSeconds(date16, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date3, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date11, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addDays(date10, (-1));
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.add(date10, 2, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator17 = org.apache.commons.lang.time.DateUtils.iterator(date15, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)"hi!", 6);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date7, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator17 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date13, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addHours(date3, 4);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.add(date11, 0, 2);
    java.util.Iterator iterator16 = org.apache.commons.lang.time.DateUtils.iterator(date11, 3);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date20 = org.apache.commons.lang.time.DateUtils.truncate(date18, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 60000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date11 = org.apache.commons.lang.time.DateUtils.round(date9, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.addHours(date7, 1001);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date23 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)1001, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    boolean b14 = org.apache.commons.lang.time.DateUtils.isSameInstant(date7, date13);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addDays(date7, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.round(date16, 1001);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.round(date18, 0);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addSeconds(date20, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addHours(date11, 10);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 1001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addSeconds(date3, 10);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.add(date3, 1, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 2);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addWeeks(date14, 1000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date16, 10);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addYears(date18, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMonths(date3, 1);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addWeeks(date11, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.truncate(date13, 2);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addMinutes(date15, 5);
    java.util.Date date19 = org.apache.commons.lang.time.DateUtils.addWeeks(date15, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date21 = org.apache.commons.lang.time.DateUtils.truncate(date19, 86400000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date19);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Iterator iterator7 = org.apache.commons.lang.time.DateUtils.iterator(date5, 6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 2);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 3);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.round(date5, 2);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date5, 0);
    java.util.Date date17 = org.apache.commons.lang.time.DateUtils.addWeeks(date5, 6);
    java.lang.String[] str_array20 = new java.lang.String[] { "" };
    java.util.Date date21 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array20);
    java.util.Date date23 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date21, 86400000);
    java.util.Iterator iterator25 = org.apache.commons.lang.time.DateUtils.iterator(date23, 6);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 2);
    java.util.Date date29 = org.apache.commons.lang.time.DateUtils.addWeeks(date23, 3);
    java.util.Date date31 = org.apache.commons.lang.time.DateUtils.addSeconds(date23, 6);
    boolean b32 = org.apache.commons.lang.time.DateUtils.isSameDay(date17, date23);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date34 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)date17, 3600000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 5);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addSeconds(date14, 60000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date16, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMinutes(date3, 1001);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addHours(date3, 4);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.add(date11, 0, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)2, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, (-1));
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.add(date11, 10, 1000);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date16 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)date11, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addDays(date30, 3);
    java.util.Iterator iterator34 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date32, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator34);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 100);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addWeeks(date10, 0);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMinutes(date10, 3600000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    java.lang.Object obj0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator2 = org.apache.commons.lang.time.DateUtils.iterator(obj0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    java.lang.String[] str_array7 = new java.lang.String[] { "" };
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array7);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array7);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array7);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array7);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.parseDate("hi!", str_array7);
      org.junit.Assert.fail("Expected exception of type java.text.ParseException");
    } catch (java.text.ParseException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.text.ParseException")) {
        org.junit.Assert.fail("Expected exception of type java.text.ParseException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addMinutes(date10, 10);
    java.util.Date date17 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = org.apache.commons.lang.time.DateUtils.isSameDay(date16, date17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date3 = org.apache.commons.lang.time.DateUtils.add(date0, 0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addHours(date10, 5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Iterator iterator14 = org.apache.commons.lang.time.DateUtils.iterator(date12, 60000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addSeconds(date10, 86400000);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addDays(date14, 10);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addDays(date14, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    java.lang.String[] str_array6 = new java.lang.String[] { "" };
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array6);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date13 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)str_array6, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.add(date7, 3, 5);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date10, 100);
    java.lang.String[] str_array15 = new java.lang.String[] { "" };
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array15);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date16, 86400000);
    java.util.Iterator iterator20 = org.apache.commons.lang.time.DateUtils.iterator(date18, 6);
    java.util.Date date22 = org.apache.commons.lang.time.DateUtils.addWeeks(date18, 2);
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.addWeeks(date18, 3);
    java.util.Date date26 = org.apache.commons.lang.time.DateUtils.addYears(date24, 10);
    java.util.Date date28 = org.apache.commons.lang.time.DateUtils.addMonths(date26, 1000);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addSeconds(date28, 6);
    boolean b31 = org.apache.commons.lang.time.DateUtils.isSameInstant(date12, date28);
    java.util.Date date33 = org.apache.commons.lang.time.DateUtils.addMonths(date12, 5);
    java.util.Date date35 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date12, 3);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date37 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date35);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.util.Date date0 = null;
    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date6 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date4, 86400000);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date6, (-1));
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.addWeeks(date8, 60000);
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = org.apache.commons.lang.time.DateUtils.isSameInstant(date0, date8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date5, (-1));
    java.util.Date date9 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 5);
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.addWeeks(date7, 10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addDays(date7, 6);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMinutes(date7, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    java.lang.String[] str_array3 = new java.lang.String[] { "" };
    java.util.Date date4 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array3);
    java.util.Date date8 = org.apache.commons.lang.time.DateUtils.add(date5, 5, 86400000);
    java.util.Date date10 = org.apache.commons.lang.time.DateUtils.round(date5, 1001);
    java.util.Date date12 = org.apache.commons.lang.time.DateUtils.addMonths(date10, 3);
    java.util.Date date14 = org.apache.commons.lang.time.DateUtils.addHours(date10, 4);
    java.util.Date date16 = org.apache.commons.lang.time.DateUtils.addWeeks(date10, 1000);
    java.util.Iterator iterator18 = org.apache.commons.lang.time.DateUtils.iterator((java.lang.Object)date10, 5);
    java.util.Date date20 = org.apache.commons.lang.time.DateUtils.addDays(date10, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date20);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    java.util.Date date0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.round(date0, 1001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    java.lang.String[] str_array2 = new java.lang.String[] { "" };
    java.util.Date date3 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array2);
    java.util.Date date5 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.util.Date date7 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date3, 86400000);
    java.lang.String[] str_array10 = new java.lang.String[] { "" };
    java.util.Date date11 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array10);
    java.util.Date date13 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date15 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date11, 86400000);
    java.util.Date date18 = org.apache.commons.lang.time.DateUtils.add(date15, 3, 5);
    boolean b19 = org.apache.commons.lang.time.DateUtils.isSameDay(date7, date18);
    java.lang.String[] str_array23 = new java.lang.String[] { "" };
    java.util.Date date24 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date25 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array23);
    java.util.Date date27 = org.apache.commons.lang.time.DateUtils.addMonths(date25, 3600000);
    boolean b28 = org.apache.commons.lang.time.DateUtils.isSameDay(date18, date27);
    java.util.Date date30 = org.apache.commons.lang.time.DateUtils.addHours(date27, (-1));
    java.util.Date date32 = org.apache.commons.lang.time.DateUtils.addWeeks(date27, 6);
    java.util.Date date34 = org.apache.commons.lang.time.DateUtils.addDays(date32, 60000);
    java.lang.String[] str_array38 = new java.lang.String[] { "" };
    java.util.Date date39 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date40 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array38);
    java.util.Date date43 = org.apache.commons.lang.time.DateUtils.add(date40, 5, 86400000);
    java.util.Date date45 = org.apache.commons.lang.time.DateUtils.round(date40, 1001);
    java.lang.String[] str_array48 = new java.lang.String[] { "" };
    java.util.Date date49 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array48);
    boolean b50 = org.apache.commons.lang.time.DateUtils.isSameDay(date45, date49);
    java.util.Date date52 = org.apache.commons.lang.time.DateUtils.addWeeks(date49, 1001);
    java.lang.String[] str_array55 = new java.lang.String[] { "" };
    java.util.Date date56 = org.apache.commons.lang.time.DateUtils.parseDate("", str_array55);
    java.util.Date date58 = org.apache.commons.lang.time.DateUtils.addMilliseconds(date56, 86400000);
    java.util.Iterator iterator60 = org.apache.commons.lang.time.DateUtils.iterator(date58, 6);
    java.util.Date date62 = org.apache.commons.lang.time.DateUtils.addWeeks(date58, 2);
    java.util.Date date64 = org.apache.commons.lang.time.DateUtils.addWeeks(date58, 3);
    boolean b65 = org.apache.commons.lang.time.DateUtils.isSameDay(date52, date64);
    boolean b66 = org.apache.commons.lang.time.DateUtils.isSameDay(date32, date64);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date68 = org.apache.commons.lang.time.DateUtils.round((java.lang.Object)b66, 4);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(iterator60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(date64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      java.util.Date date2 = org.apache.commons.lang.time.DateUtils.truncate((java.lang.Object)10L, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException");
    } catch (java.lang.ClassCastException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ClassCastException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ClassCastException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
